"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const BuildPlaneDao_1 = require("../BuildPlaneDao");
jest.mock('@jfrog-pipelines/logger', () => {
    const actualTracker = jest.requireActual('@jfrog-pipelines/logger');
    return {
        ...actualTracker,
        LoggerFactory: {
            getLogger: jest.fn().mockReturnValue({
                info: jest.fn(),
                error: jest.fn(),
                debug: jest.fn(),
                trace: jest.fn(),
                warn: jest.fn()
            }),
            configure: jest.fn()
        }
    };
});
describe('Test BuildPlaneDao #count', () => {
    it('should return 0 when query not found', async () => {
        const buildPlaneDao = new BuildPlaneDao_1.BuildPlaneDao();
        const queryBuilder = new data_access_layer_1.SequelizeQueryBuilder({}).where('nodePoolId', 1);
        const spyQuery = jest.spyOn(data_access_layer_1.CrudRepository.prototype, 'count').mockResolvedValueOnce(0);
        const queryResponse = await buildPlaneDao.count(queryBuilder.build());
        expect(queryResponse).toBe(0);
        spyQuery.mockClear();
    });
    it('should return count when found', async () => {
        const buildPlaneDao = new BuildPlaneDao_1.BuildPlaneDao();
        const queryBuilder = new data_access_layer_1.SequelizeQueryBuilder({}).where('nodePoolId', 5);
        const spyQuery = jest.spyOn(data_access_layer_1.CrudRepository.prototype, 'count').mockResolvedValueOnce(1);
        const queryResponse = await buildPlaneDao.count(queryBuilder.build());
        expect(queryResponse).toBe(1);
        spyQuery.mockClear();
    });
});
//# sourceMappingURL=BuildPlaneDao.test.js.map