"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BuildPlaneDao_1 = require("../BuildPlaneDao");
const BuildPlaneService_1 = require("../BuildPlaneService");
describe('Test BuildPlaneService #getMessageCount', () => {
    it('returns 0 if pool id not found', async () => {
        const service = new BuildPlaneService_1.BuildPlaneService();
        const dao = new BuildPlaneDao_1.BuildPlaneDao();
        const poolID = 1;
        const spyGetMessageCount = jest.spyOn(BuildPlaneDao_1.BuildPlaneDao.prototype, 'count').mockResolvedValueOnce(0);
        const count = await service.getMessageCount(poolID);
        expect(dao.count).toHaveBeenCalledTimes(1);
        expect(count).toBe(0);
        spyGetMessageCount.mockClear();
    });
    it('returns count if pool id  found', async () => {
        const service = new BuildPlaneService_1.BuildPlaneService();
        const dao = new BuildPlaneDao_1.BuildPlaneDao();
        const poolID = 5;
        const spyGetMessageCount = jest.spyOn(BuildPlaneDao_1.BuildPlaneDao.prototype, 'count').mockResolvedValueOnce(1);
        const count = await service.getMessageCount(poolID);
        expect(dao.count).toHaveBeenCalledTimes(1);
        expect(count).toBe(1);
        spyGetMessageCount.mockClear();
    });
});
//# sourceMappingURL=BuildPlaneService.test.js.map